- Regras fiscais
- Atualizar regra fiscal
Regras fiscais
Atualizar regra fiscal
Atualizar regra fiscal
PUT
/tax-rules/{id}
curl --request PUT \
--url https://api.treeunfe.com.br/api/v1/tax-rules/{id} \
--header 'x-api-key: <api-key>' \
--header 'x-api-key: <x_api_key>' \
--header 'Content-Type: application/json' \
--data '{
"tpNF": 123.45,
"finNFe": 123.45,
"natOp": "<string>"
}'
curl --request PUT \
--url https://api.treeunfe.com.br/api/v1/tax-rules/{id} \
--header 'x-api-key: <api-key>' \
--header 'x-api-key: <x_api_key>' \
--header 'Content-Type: application/json' \
--data '{
"tpNF": 123.45,
"finNFe": 123.45,
"natOp": "<string>"
}'Atualiza uma regra fiscal. Os campos são os mesmos de Criar regra fiscal.
Autenticação
x-api-key
required
string
API Key da empresa.
Parâmetros de rota
id
required
string
ID da regra fiscal.
Body
application/json
tpNF
required
number
Tipo da operação: 0 = entrada, 1 = saída.
finNFe
required
number
Finalidade: 1 = normal, 2 = complementar, 3 = ajuste, 4 = devolução.
natOp
required
string
Natureza da operação, por exemplo Venda.
Respostas
| Status | Descrição |
|---|---|
200 | Regra atualizada. |
400 | Body inválido. |
401 | x-api-key ausente ou inválida. |
404 | Regra não encontrada. |
curl -X PUT "https://api.treeunfe.com.br/api/v1/tax-rules/ID" \
-H "x-api-key: SUA_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"tpNF": 1,
"finNFe": 1,
"natOp": "Venda de mercadoria",
"states": [
"PR"
],
"ncmList": [
"85176241"
],
"CFOPIntra": 5102,
"CFOPInter": 6102,
"CFOPIntraNC": 5102,
"CFOPInterNC": 6102,
"CST": "00",
"CSTNC": "00",
"CSTIPI": "53",
"CEnq": "999",
"CSTPIS": "07",
"CSTCOFINS": "07",
"IndFCP": true,
"IndIPIBCICMS": false,
"IndOutroBCICMS": true,
"isExcluirICMSFromPisCofinsBC": false,
"IndEmailAuto": false
}'
curl -X PUT "https://api.treeunfe.com.br/api/v1/tax-rules/ID" \
-H "x-api-key: SUA_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"tpNF": 1,
"finNFe": 1,
"natOp": "Venda de mercadoria",
"states": [
"PR"
],
"ncmList": [
"85176241"
],
"CFOPIntra": 5102,
"CFOPInter": 6102,
"CFOPIntraNC": 5102,
"CFOPInterNC": 6102,
"CST": "00",
"CSTNC": "00",
"CSTIPI": "53",
"CEnq": "999",
"CSTPIS": "07",
"CSTCOFINS": "07",
"IndFCP": true,
"IndIPIBCICMS": false,
"IndOutroBCICMS": true,
"isExcluirICMSFromPisCofinsBC": false,
"IndEmailAuto": false
}'
curl --request PUT \
--url https://api.treeunfe.com.br/api/v1/tax-rules/{id} \
--header 'x-api-key: <api-key>' \
--header 'x-api-key: <x_api_key>' \
--header 'Content-Type: application/json' \
--data '{
"tpNF": 123.45,
"finNFe": 123.45,
"natOp": "<string>"
}'
curl --request PUT \
--url https://api.treeunfe.com.br/api/v1/tax-rules/{id} \
--header 'x-api-key: <api-key>' \
--header 'x-api-key: <x_api_key>' \
--header 'Content-Type: application/json' \
--data '{
"tpNF": 123.45,
"finNFe": 123.45,
"natOp": "<string>"
}'